Subject: Re: [i2rs] FW: New Version Notification for draft-hares-dt-i2rs-protocol-strawman-00.txt

From: Joe Clarke <[email-masked]>
Date: Sat, 2 Apr 2016 09:49:36 -0400

On 3/16/16 07:37, Susan Hares wrote:
> HI all:
>
> This is a I2RS protocol strawman for discussion on Wednesday's interim (10:00am - 11:30am ET on March 16, 2016) along with the data flow requirements document and email sent out earlier today.
>
> This personal draft comes out of what I learned from Andy Bierman, Kent Watsen, Dean Bogdanovic, Russ White, Alia Atlas, Amit Dass, Ignas Bagdonas, Alex Clemm, Keyur Patel, Hariharan Ananthakrishnan, Anu Nair, Juergen Schoenwaelder, Joel Halpern, Mach Chen, Qin Wu, and Jan Medved.
>
> The errors are mine - the good ideas come from wonderful group of people over the last 9 months.  It is a strawman.  It is limited to just netconf/restconf with all functions.  The discussion regarding adding IPFIX or Protobufs to this first version of I2RS higher-level protocol - is a discussion for interim and IETF

Hey, Sue.  I have a comment.

In section 3 regarding ephemeral, when you talk about overwriting 
ephemeral, you mention "local config" will override.  This is ambiguous 
to me.  Prior to this you talk about "normal configuration" or "normal 
datastores."  I take it you mean the non-ephemeral datastores.  But 
local config implies...console?  I think you want to say that any type 
of configuration operation to a non-ephemeral datastore (i.e., running) 
would win if it's the last write in the default mode?  This would mean I 
can do a NETCONF operation to the running DS an overwrite the ephemeral 
state.

In terms of overwrite modes, a few of us discussed (in Yokohama) the 
idea of assigning the "normal" DSes a priority so that one could have 
more granular control over how ephemeral plays with non-ephemeral.  This 
would feel more like true panes of glass.  Thoughts on this?

Joe

>
> Sue
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, March 15, 2016 10:44 PM
> To: Susan Hares
> Subject: New Version Notification for draft-hares-dt-i2rs-protocol-strawman-00.txt
>
>
> A new version of I-D, draft-hares-dt-i2rs-protocol-strawman-00.txt
> has been successfully submitted by Susan Hares and posted to the IETF repository.
>
> Name:		draft-hares-dt-i2rs-protocol-strawman
> Revision:	00
> Title:		I2RS protocol strawman
> Document date:	2016-03-15
> Group:		Individual Submission
> Pages:		29
> URL:            https://www.ietf.org/internet-drafts/draft-hares-dt-i2rs-protocol-strawman-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-hares-dt-i2rs-protocol-strawman/
> Htmlized:       https://tools.ietf.org/html/draft-hares-dt-i2rs-protocol-strawman-00
>
>
> Abstract:
>     This document provides a strawman proposal for the I2RS protocol
>     covering the ephemeral data store and data flow requirements not
>     covered by i2rs publication/subscription service or traceability.  It
>     also proposes additions to YANG for the ephemeral data store and for
>     additional data flow requirements.  It proposes additions to the
>     NETCONF and RESTCONF for these additions.  Future versions of this
>     document will propose changes to support the I2RS protocol security
>     requirements.
>
>
>
>
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs
>